## org.apache.commons.math3.linear
Class IllConditionedOperatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.linear.IllConditionedOperatorException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class IllConditionedOperatorException

extends MathIllegalArgumentException

An exception to be thrown when the condition number of a `RealLinearOperator` is too high.

Since:
  3.0
Version:
  $Id: IllConditionedOperatorException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`IllConditionedOperatorException(double cond)` Creates a new instance of this class.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

Constructor Detail

### IllConditionedOperatorException

    public IllConditionedOperatorException(double cond)

  Creates a new instance of this class.

  Parameters:
    `cond` - An estimate of the condition number of the offending linear operator.

Copyright (c) 2003-2013 Apache Software Foundation